## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.5.0

# https://github.com/rclone/rclone
%global goipath         github.com/rclone/rclone
Version:                1.57.0

%gometa

%global common_description %{expand:
Rclone is a command line program to sync files and directories to and
from various cloud services.}

Name:           rclone
Release:        %autorelease
Summary:        Rsync for cloud storage

License:        MIT
URL:            http://rclone.org/
Source0:        %{gosource}
Source1:        vendor-%{version}.tar.gz

%description
%{common_description}

%prep
%goprep -k
%setup -q -T -D -a 1 -n %{name}-%{version}

%build
export GO111MODULE=on
export GOFLAGS=-mod=vendor
LDFLAGS="-X github.com/ncw/rclone/fs.Version=v%{version} "
%gobuild -o %{gobuilddir}/bin/rclone %{goipath}

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -Dpm 0644 ./rclone.1 %{buildroot}%{_mandir}/man1/rclone.1

%files
%license COPYING
%doc MAINTAINERS.md MANUAL.html RELEASE.md CONTRIBUTING.md MANUAL.md README.md
%doc docs/
%{_bindir}/rclone
%{_mandir}/man1/rclone.1*

%changelog
* Thu Dec 23 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.57.0-2
- Initial package for EPEL9 Update to 1.57.0 Close: rhbz#1953788,
  rhbz#2034408

* Tue Dec 21 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.57.0-1
- Update to commit 1.57.0 Close: rhbz#1953788

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.55.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 17 15:41:30 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.55.1-1
- Update to 1.55.1

* Wed Apr  7 21:23:12 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.55.0-1
- Update to 1.55.0
- Close: rhbz#1936764

* Sat Mar  6 08:41:07 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.54.0-1
- Update to 1.54.0
- Close: rhbz#1918543

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.53.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Dec 06 00:39:23 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.53.3-1
- Update to 1.53.3
- Close: rhbz#1899641
- Fix: rhbz#1900705
- Fix: rhbz#1900719

* Sun Nov 08 14:15:33 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.53.2-1
- Update to 1.53.2 (#1840915)

* Fri Sep 18 11:05:08 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.53.1-1
- Update to 1.53.1

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.51.0-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.51.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Feb 26 23:53:19 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.51.0-1
- Update to 1.51.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.50.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Dec 23 22:22:16 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.50.2-1
- Release 1.50.2 (#1756764)

* Sat Sep 28 13:00:14 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.49.3-1
- Release 1.49.3 (#1747050)

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.48.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 16 16:26:43 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.48.0-1
- Release 1.48.0 (#1720839)

* Sat Apr 13 18:34:07 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.47.0-1
- Release 1.47.0 (#1674166)

* Sat Apr 06 21:17:09 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.46.0-1
- Release 1.46.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.45-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Dec 18 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.45-1
- Update to version 1.45

* Mon Oct 22 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.44-1
- Update to version 1.44

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.42-1
- Update to version 1.42

* Tue Mar 20 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.41-1
- Update to version 1.41
- Use new Go packaging

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.39-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Dec 24 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.39-1
- Update to version 1.39

* Sun Oct 01 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.38-1
- Update to version 1.38

* Fri Jul 28 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.37-2
- Unbundled revision

* Sun Jul 23 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.37-1
- Update to version 1.37

* Thu Jul 20 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.36-2
- Update to Fedora Packaging Guidelines specification

* Sat Mar 25 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.36-1
- Update to version 1.36

* Fri Jan 06 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.35-1
- Update to version 1.35

* Sun Dec 11 2016 Robert-André Mauchin <zebob.m@gmail.com> - 1.34-1
- Initial RPM release


